petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscDualSpaceSetUp

Construct a basis for the PetscDualSpace

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscDualSpaceSetUp(PetscDualSpace sp)

Collective on sp

### Input Parameter

sp -the PetscDualSpace object to setup

### See Also

PetscDualSpaceView(), PetscDualSpaceDestroy()

### Level

intermediate

### Location

src/dm/dt/dualspace/interface/dualspace.c

### Implementations

PetscDualSpaceSetUp_BDM in src/dm/dt/dualspace/impls/bdm/dspacebdm.c
PetscDualSpaceSetUp_Lagrange in src/dm/dt/dualspace/impls/lagrange/dspacelagrange.c
PetscDualSpaceSetUp_Simple in src/dm/dt/dualspace/impls/simple/dspacesimple.c
Index of all DUALSPACE routines
Table of Contents for all manual pages
Index of all manual pages